/*
 * lcd_i2c.h
 *
 *  Created on: 23.03.2019
 *      Author: harry
 */

#ifndef LCD_I2C_H_
#define LCD_I2C_H_

#include "usart.h"

#ifndef FALSE
#define FALSE		(0)
#define TRUE		(!FALSE)
#endif

void lcd_Init(I2C_HandleTypeDef *hlcd);
void lcd_clear(void);
void lcd_home(void);
void lcd_gotoXY(uint8_t line, uint8_t pos);
void lcd_backlight(uint8_t Light);
void lcd_define_char(uint8_t n_char, uint8_t data[]);
void lcd_putc(char c);
void lcd_puts(char *s);

#endif /* LCD_I2C_H_ */
